Loading...
Searching...
No Matches
server_changed_event.hpp File Reference

## Description

Provides mongocxx::v_noabi::events::server_changed_event.

Includes
  - mongocxx/v1/events/server_description_changed.hpp

Go to the source code of this file.

## Classes

class | mongocxx::v_noabi::events::server_changed_event
| A change in the description of a connected MongoDB server. More...

## Namespaces

namespace | mongocxx
| The top-level namespace within which all mongocxx library entities are declared.
namespace | mongocxx::v_noabi
| Declares entities whose ABI stability is NOT guaranteed.
namespace | mongocxx::v_noabi::events
| Declares entities describing APM events.

## Functions

v_noabi::events::server_changed_event | mongocxx::v_noabi::from_v1 (v1::events::server_description_changed const &v)
| Convert to the mongocxx::v_noabi equivalent of v.
v1::events::server_description_changed | mongocxx::v_noabi::to_v1 (v_noabi::events::server_changed_event const &v)
| Convert to the mongocxx::v1 equivalent of v.